package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasEduClaRelation;
import com.koobietech.eas.mbg.model.EasEduClaRelationExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasEduClaRelationMapper {
    long countByExample(EasEduClaRelationExample example);

    int deleteByExample(EasEduClaRelationExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasEduClaRelation record);

    int insertSelective(EasEduClaRelation record);

    List<EasEduClaRelation> selectByExample(EasEduClaRelationExample example);

    EasEduClaRelation selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasEduClaRelation record, @Param("example") EasEduClaRelationExample example);

    int updateByExample(@Param("record") EasEduClaRelation record, @Param("example") EasEduClaRelationExample example);

    int updateByPrimaryKeySelective(EasEduClaRelation record);

    int updateByPrimaryKey(EasEduClaRelation record);
}